Skip to main content
`Ctrl`+`K`

# TSComputeSNESJacobian

Compute the Jacobian needed for the `SNESSolve()` in `TS`

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSComputeSNESJacobian(TS ts, Vec x, Mat J, Mat Jpre)

Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- x - state vector

## Output Parameters

- J - Jacobian matrix

- Jpre - preconditioning matrix for J (may be same as J)

## Note

Uses finite differencing when `TS` Jacobian is not available.

## See Also

`SNES`, `TS`, `SNESSetJacobian()`, `TSSetRHSJacobian()`, `TSSetIJacobian()`

## Level

developer

## Location

src/ts/interface/sensitivity/tssen.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages